import request from '@/utils/request'

// 查询生产入库单列表
export function listProductionInstock(query) {
  return request({
    url: '/prdInstockMain/list',
    method: 'get',
    params: query
  })
}

// 查询生产入库单详细
export function getProductionInstock(id) {
  return request({
    url: '/prdInstockMain/' + id,
    method: 'get'
  })
}

// 新增生产入库单
export function addProductionInstock(data) {
  return request({
    url: '/prdInstockMain',
    method: 'post',
    data: data
  })
}

// 修改生产入库单
export function updateProductionInstock(data) {
  return request({
    url: '/prdInstockMain',
    method: 'put',
    data: data
  })
}

// 删除生产入库单
export function delProductionInstock(id) {
  return request({
    url: '/prdInstockMain/' + id,
    method: 'delete'
  })
}

// 统计今年的销售出库总量和生产报工总量以及采购入库单总量
export function getStatistics() {
  return request({
    url: '/prdInstockMain/statistics',
    method: 'get'
  })
}

// 统计今年各月份的销售出库总量和生产报工总量
export function getCountBySalOutAndPrdIn() {
  return request({
    url: '/prdInstockMain/getCountBySalOutAndPrdIn',
    method: 'get'
  })
}

// 一周内的报工重量
export function getWeightToWeek() {
  return request({
    url: '/prdInstockMain/getWeightToWeek',
    method: 'get'
  })
}


